package com.huguesjohnson.jail.jailBreak;

/*
jailBreak - Package to launch Java Artificial Intelligence Library components
JailBreakStatusbar.java - Statusbar for main window
Copyright  (C) 2000-2003 Hugues Johnson

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software 
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

import java.lang.String;
import javax.swing.JComponent;
import javax.swing.JProgressBar;

/** JailBreakStatusbar displays progress and status for main window
 * @author Hugues Johnson
 */
public class JailBreakStatusbar extends JProgressBar{
    
    /** the path to the folder containing images for current theme */
    private String resourcePath;

    /** the path to the folder containing default images */
    private String defaultResourcePath;
    
    /** Creates new JailBreakStatusbar
     * @param resourcePath path to the folder containing images for current theme 
     * @param defaultResourcePath path to the folder containing default images   
     */
    public JailBreakStatusbar(String resourcePath,String defaultResourcePath){
        super();
        this.setStringPainted(true);
        this.resourcePath=resourcePath;
        this.defaultResourcePath=defaultResourcePath;
    }
    
     /** setStatus sets the caption and progress percent
      * @param statusMessage the status message to display
      * @param percentComplete the percent complete to display
      */
    public void setProgress(String statusMessage,int percentComplete){
        this.setString(statusMessage);
        this.setValue(percentComplete);
    }

     /** setStatus sets the caption 
      * @param statusMessage the status message to display
      */
    public void setProgress(String statusMessage){
        this.setString(statusMessage);
    }
    
     /** setStatus sets the progress percent
      * @param percentComplete the percent complete to display
      */
    public void setProgress(int percentComplete){
        this.setValue(percentComplete);
    }    
}