package com.huguesjohnson.jail.jailBreak;

/*
jailBreak - Package to launch Java Artificial Intelligence Library components
JailBreakTable.java - JTable used to display and edit information
Copyright  (C) 2000-2003 Hugues Johnson

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software 
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

import java.lang.Object;
import java.lang.String;
import java.util.EventObject;
import java.util.Vector;
import javax.swing.DefaultCellEditor;
import javax.swing.JTable;
import javax.swing.JTextField;
import javax.swing.ListSelectionModel;
import javax.swing.event.ChangeEvent;
import javax.swing.table.DefaultTableModel;
import javax.swing.table.TableColumn;
import javax.swing.table.TableColumnModel;
import javax.swing.table.TableModel;
import javax.swing.event.TableModelEvent;

/** JTable used to display and edit information
 * @author Hugues Johnson
 */
public class JailBreakTable extends JTable{
    
    /** the path to the folder containing images for current theme */
    private String resourcePath;

    /** the path to the folder containing default images */
    private String defaultResourcePath;
    
    /** original value of the last selected cell */
    private String originalCellValue;
    
    /** the underlying model for this table */
    private DefaultTableModel tableModel;
    
    /** Constructs a JailBreakTable to display the values in the Vector of Vectors, rowData, with column names, columnNames
     * @param resourcePath path to the folder containing images for current theme 
     * @param defaultResourcePath path to the folder containing default images   
     * @param rowData the data for the new table
     * @param columnNames names of each column
     */    
    public JailBreakTable(String resourcePath,String defaultResourcePath,Object[][] rowData,Object[] columnNames){
        super();
        this.tableModel=new DefaultTableModel(rowData,columnNames);
        this.setModel(this.tableModel);
        this.resourcePath=resourcePath;
        this.defaultResourcePath=defaultResourcePath;
        /* set selection behavoir */
        this.setRowSelectionAllowed(false);
        this.setColumnSelectionAllowed(false);
        this.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
    }

    /** sets the table model for this table
     * @param rowData the data for the new table
     * @param columnNames names of each column
     */        
    public void setTableModel(Object[][] rowData,Object[] columnNames){
        this.tableModel=new DefaultTableModel(rowData,columnNames){
            public void fireTableChanged(TableModelEvent e){
                /*add code to handle data changes here.. next release */
                //System.out.println(e.toString());
                //int column=e.getColumn();
                //int row=e.getFirstRow();
                //System.out.println("column="+column);
                //System.out.println("row="+row);
                //if(row>=0&&column>=0){
                //    System.out.println("value="+this.getValueAt(row,column).toString());
                //}
            }
        };
        this.setModel(this.tableModel);
    }

    /** event that fires when a cell is attempted to be edited
     * @param row the row the cell is in
     * @param column the column the cell is in
     * @param event the event
     * @return true if cell can be edited, false if it can not
     */
    public boolean editCellAt(int row,int column,EventObject event){
        /* change this if() to make the entire table editable.. next release */
        if(column>=0){
            return(false);
        } else{
            return(super.editCellAt(row,column,event));
        }
    }
}