package com.huguesjohnson.jail.jailBreak.event;

/*
jailBreak - Package to launch Java Artificial Intelligence Library components
JailBreakOpenFileEvent.java - Event that occurs when a file is opened
Copyright  (C) 2000-2003 Hugues Johnson

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software 
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

import java.lang.String;
import java.lang.StringBuffer;
import javax.swing.filechooser.FileFilter;
import com.huguesjohnson.jail.jailBreak.event.JailBreakEvent;

/** class JailBreakOpenFileEvent Event that occurs when a file is opened
 * @author Hugues Johnson
 */
public class JailBreakOpenFileEvent extends JailBreakEvent{
    /** the file name associated with this event */
    private String fileName;
    
    /** the filter associated with this event */
    private FileFilter filter;
    
    /** constructor
     * @param fileName name & path of the file opened
     * @param filter the type of file that was opened
     */
    public JailBreakOpenFileEvent(String fileName,FileFilter filter){
        this.fileName=fileName;
        this.filter=filter;
    }
    
    /** returns the name of the file that was opened
     * @return name of the file that was opened
     */
    public String getFileName(){
        return(this.fileName);
    }
    
    /** set the name of the file that was opened
     * @param fileName name of the file that was opened
     */    
    public void setFileName(String fileName){
        this.fileName=fileName;
    }
    
    /** returns the FileFilter of the file that was opened
     * The FileFilter indicates the type of file that was opened
     * @return FileFilter of the file that was opened
     */    
    public FileFilter getFilter(){
        return(this.filter);
    }
    
    /** sets the FileFilter of the file that was opened
     * The FileFilter indicates the type of file that was opened
     * @param filter the FileFilter of the file that was opened
     */    
    public void setFilter(FileFilter filter){
        this.filter=filter;
    }
    
    /** returns a string representation of the object
     * @return string representation of the object
     */
    public String toString(){
        StringBuffer tostring=new StringBuffer(super.toString());
        tostring.append("\nfileName="+this.fileName);
        tostring.append("\nfilter="+this.filter.toString());
        return(tostring.toString());
    }    
}