package com.huguesjohnson.jail.jailBreak.tree;

/*
jailBreak - Package to launch Java Artificial Intelligence Library components
NeuralNetworkTreeNode.java - tree model for neural networks 
Copyright  (C) 2000-2003 Hugues Johnson

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software 
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

import java.lang.String;
import javax.swing.tree.DefaultMutableTreeNode;

/** NeuralNetworkTreeNode model for displaying a neural network in a tree
 * @author Hugues Johnson
 */
public class NeuralNetworkTreeNode extends DefaultMutableTreeNode{
    /** the caption for this node */
    private String caption;
    
    /** constructor 
     * @param object the underlying object
     * @param caption the caption for this node
     */
    public NeuralNetworkTreeNode(Object object,String caption){
        super(object);
        this.caption=caption;
    }
    
    /** returns a string representation of the object, used to determine caption of the node 
     * @return string representation of the object
     */
    public String toString(){
        return(this.caption);
    }
    
}